// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface TimeQualityOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.TimeQuality)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * If true, the time source of the sending device is unreliable and the value of the time stamp
   * shall be ignored.
   * </pre>
   *
   * <code>bool clockFailure = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The clockFailure.
   */
  boolean getClockFailure();

  /**
   * <pre>
   * If true, the time source of the sending device is not synchronised with the external UTC time.
   * </pre>
   *
   * <code>bool clockNotSynchronized = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The clockNotSynchronized.
   */
  boolean getClockNotSynchronized();

  /**
   * <pre>
   * If true, the value in 'P_Timestamp.SecondSinceEpoch' contains all leap seconds occurred.
   * Otherwise, it does not take into account the leap seconds that occurred before the initialization of
   * the time source of the device. Instead, the seconds since start of the epoch are calculated from the
   * current date assuming a constant day length of 86 400 seconds. Note: If a UTC time master clock is
   * used and accessible, this value should always be true.
   * </pre>
   *
   * <code>bool leapSecondsKnown = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The leapSecondsKnown.
   */
  boolean getLeapSecondsKnown();

  /**
   * <pre>
   * Information about the quality of the time source of the sending IED.
   * </pre>
   *
   * <code>.commonmodule.TimeAccuracyKind timeAccuracy = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The enum numeric value on the wire for timeAccuracy.
   */
  int getTimeAccuracyValue();
  /**
   * <pre>
   * Information about the quality of the time source of the sending IED.
   * </pre>
   *
   * <code>.commonmodule.TimeAccuracyKind timeAccuracy = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The timeAccuracy.
   */
  openfmb.commonmodule.TimeAccuracyKind getTimeAccuracy();
}
